Kerbal Space Program - Bug #13965

Incorrect biomes on Eve and Tylo
02/28/2017 09:55 AM - Rodger

Status: New Start date: 02/28/2017
Severity: Normal % Done: 0%
Assignee:

Category: Biomes

Target version:

Version: 1.10.1 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game

Description

On Eve, there's no instances of the 'Craters' biome that | can find, and the smaller crater lake is apparently a 'Foothills’ biome, while
the rim of the crater to the SE of that one has some small patches of 'Akatsuki Lake' (the center of that one is also 'Impact Ejecta’
which doesn't seem quite right)
Then on Tylo, there's two instances of 'Gagarin Crater' (circled), no instance of 'Grissom Crater', and on the rim of the eastern
'Gagarin Crater' there's patches of 'Galileio Crater'.
History

#2 - 04/18/2018 03:24 PM - kerbugger
- Version changed from 1.2.2 to 1.4.1
- Platform Windows added

- Expansion Core Game added

#3 - 07/02/2020 04:28 PM - meuporg1234
- Version changed from 1.4.1 to 1.10.0

#4 - 07/02/2020 04:31 PM - meuporg1234

- Category changed from Gameplay to Biomes

#5 - 09/05/2020 10:29 AM - meuporg1234
- Version changed from 1.10.0 to 1.10.1

#6 - 12/02/2020 11:29 PM - wile1411

Looking at the EVE biome map and the biome color identifiers, the reason for craters not showing up is due to the Craters & Impact_Ejecta both
having the same color code.

color = 0.654901981,0.396078438,0.980392158,1 // RGBA [167, 101, 250, 255]

As the EVE biome map doesn't have a unique color for the Craters biome - it gets seen as Impact_Ejecta

Correcting the color code for the Craters biome AND updating the EVE biome texture map to reference the new color would fix this.

For the Tylo issue, the required update would be to change the Tylo biome texture to change one of the craters mentioned in the original report to the
color of the Gagarin Crater biome.

Below color for Gagarin Crater missing from biome map:
color = 0.58431375,0.388235301,0.274509817,1  //RGBA [149, 99, 70, 255]

#7 - 01/26/2021 07:50 AM - AYes

How to fix it in version 1.11?

#8 - 01/26/2021 11:53 AM - wile1411

There is a mod you can use to try to "work around" the issue. For it to be fixed the developers need to change the Biome Map and color references
for EVE and Tylo in the game for it to be "fixed". Not much else can be done until the issue bubbles up their to-do list.

#9 - 01/27/2021 06:42 PM - AYes
https://bugs.kerbalspaceprogram.com/issues/27145
